Home · Quickstart · User Guide and Examples · Interfaces Index · Developers · About · Nipy

# nipype package

Information on specific functions, classes, and methods.

Release:

  1.10.0

Date:

  December 20, 2025, 10:58 PDT

## Top-level module API

class nipype.NipypeTester

  Bases: `object`

nipype.check_latest_version(raise_exception=False)

  Check for the latest version of the library.

  Parameters:

    raise_exception (bool) – Raise a RuntimeError if a bad version is being used

nipype.get_info()

  Returns package information

## Subpackages

- nipype.algorithms package
- nipype.caching package
- nipype.interfaces package
- nipype.pipeline package
- nipype.sphinxext package
- nipype.utils package